# ReadMe

This package demonstrates the process of network signature extraction. Given a network and a subgraph size, it saves the structured image of a subgraph. The subgraph is obtained by performing a random walk on the network of length specified by the subgraph size given

# Usage:
`cd get-signature`

`python driver.py <network edgelist> <subgraph_size> <output_filename>`

For example:
`python driver.py data/facebook.txt 64 facebook_image_64.eps`

# Citations:
- Wu, Ke, Philip Watters, and Malik Magdon-Ismail. "Network classification using adjacency matrix embeddings and deep learning." Advances in Social Networks Analysis and Mining (ASONAM), 2016 IEEE/ACM International Conference on. IEEE, 2016.
- Hegde, K., Magdon-Ismail, M., Ramanathan, R., & Thapa, B. (2018). Network Signatures from Image Representation of Adjacency Matrices: Deep/Transfer Learning for Subgraph Classification. arXiv preprint arXiv:1804.06275.

# Dataset:
- [Facebook](https://snap.stanford.edu/data/egonets-Facebook.html)
- J. McAuley and J. Leskovec. Learning to Discover Social Circles in Ego Networks. NIPS, 2012.